import { defineComponent as i, toRefs as f, openBlock as p, createElementBlock as r, createElementVNode as t, createVNode as n, unref as e, pushScopeId as u, popScopeId as g } from "vue";
import c from "../../../NComponents/configCommon/refConfig.vue_vue_type_script_setup_true_lang.mjs";
const m = (o) => (u("data-v-5600a4d3"), o = o(), g(), o), h = { class: "build_yulan" }, v = { class: "yulan_now" }, C = { class: "now_txt" }, y = { class: "now_t" }, w = /* @__PURE__ */ m(() => /* @__PURE__ */ t("div", { class: "now_bjt" }, null, -1)), x = { class: "now_nume" }, b = i({ name: "EComponent01" }), k = /* @__PURE__ */ i({
  ...b,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(o) {
    const s = o, { titleConfig: _, imageConfig: l, valueConfig: a, unitConfig: d } = f(s.chartConfig.option);
    return (E, I) => (p(), r("div", h, [
      t("div", v, [
        n(c, {
          config: e(l),
          type: "img"
        }, null, 8, ["config"]),
        t("div", C, [
          t("div", y, [
            n(c, {
              config: e(_),
              type: "text"
            }, null, 8, ["config"])
          ]),
          w,
          t("div", x, [
            n(c, {
              config: e(a),
              type: "number"
            }, null, 8, ["config"]),
            n(c, {
              config: e(d),
              type: "text"
            }, null, 8, ["config"])
          ])
        ])
      ])
    ]));
  }
});
export {
  k as default
};
